Join us on May 20th for the Content + AI Virtual Summit. Register now
curl -i -X GET "https://api.box.com/2.0/task_assignments/12345" \
-H "authorization: Bearer <ACCESS_TOKEN>"{
"id": "11446498",
"type": "task_assignment",
"item": {
"id": "12345",
"type": "file",
"etag": "1",
"sequence_id": "3",
"name": "Contract.pdf",
"sha1": "85136C79CBF9FE36BB9D05D0639C70C265C18D37",
"file_version": {
"id": "12345",
"type": "file_version",
"sha1": "134b65991ed521fcfe4724b7d814ab8ded5185dc"
}
},
"assigned_to": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"message": "Please review",
"completed_at": "2012-12-12T10:53:43-08:00",
"assigned_at": "2012-12-12T10:53:43-08:00",
"reminded_at": "2012-12-12T10:53:43-08:00",
"resolution_state": "incomplete",
"assigned_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
}
}タスク割り当てに関する情報を取得します。
curl -i -X GET "https://api.box.com/2.0/task_assignments/12345" \
-H "authorization: Bearer <ACCESS_TOKEN>"{
"id": "11446498",
"type": "task_assignment",
"item": {
"id": "12345",
"type": "file",
"etag": "1",
"sequence_id": "3",
"name": "Contract.pdf",
"sha1": "85136C79CBF9FE36BB9D05D0639C70C265C18D37",
"file_version": {
"id": "12345",
"type": "file_version",
"sha1": "134b65991ed521fcfe4724b7d814ab8ded5185dc"
}
},
"assigned_to": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"message": "Please review",
"completed_at": "2012-12-12T10:53:43-08:00",
"assigned_at": "2012-12-12T10:53:43-08:00",
"reminded_at": "2012-12-12T10:53:43-08:00",
"resolution_state": "incomplete",
"assigned_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
}
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
タスク割り当てのID。
タスクが割り当てられているユーザーとタスクを割り当てたユーザーを示す、タスク割り当てを返します。
タスク割り当てでは、完了するためにどのタスクをどのユーザーに割り当てるかを定義します。
このタスク割り当ての一意の識別子。
"11446498"
値は常にtask_assignmentになります。
task_assignment "task_assignment"
タスクが割り当てられているファイル。
Show child attributes
タスクが割り当てられているユーザー。
Show child attributes
タスク割り当てに含められるメッセージ。これは、ウェブおよびモバイルUIで、タスクが割り当てられたユーザーに表示されます。
"Please review"
このタスク割り当てが完了した日。タスクがまだ完了していない場合はnullになります。
"2012-12-12T10:53:43-08:00"
このタスクがユーザーに割り当てられた日。
"2012-12-12T10:53:43-08:00"
タスクが割り当てられたユーザーに、このタスク割り当てがリマインドされた日。
"2012-12-12T10:53:43-08:00"
割り当ての現在の状態。使用可能な状態は、タスクオブジェクトのaction値によって異なります。
completed, incomplete, approved, rejected "incomplete"
このタスクを割り当てたユーザー。
Show child attributes
このページは役に立ちましたか?